##
##  @l_prefix@/etc/smokeping/smokeping.conf -- SmokePing configuration
##

*** General ***

owner              = John Doe
contact            = john.doe@example.com
mailhost           = smtp.example.com
sendmail           = @l_prefix@/sbin/sendmail
smokemail          = @l_prefix@/etc/smokeping/smokemail

cgiurl             = http://www.example.com/smokeping/smokeping.cgi
imgurl             = http://www.example.com/smokeping/img

imgcache           = @l_prefix@/var/smokeping/img
datadir            = @l_prefix@/var/smokeping/dat
piddir             = @l_prefix@/var/smokeping/

*** Alerts ***

to                 = admin@example.com
from               = smokeping@example.com

+bigloss
type               = loss
#   in percent
pattern            = ==0%,==0%,==0%,==0%,>0%,>0%,>0%
comment            = suddenly there is packet loss

+someloss
type               = loss
#   in percent
pattern            = >0%,*12*,>0%,*12*,>0%
comment            = loss 3 times  in a row

+startloss
type               = loss
#   in percent
pattern            = ==S,>0%,>0%,>0%
comment            = loss at startup

+rttdetect
type               = rtt
#   in milli seconds
pattern            = <10,<10,<10,<10,<10,<100,>100,>100,>100
comment            = routing mesed up again ?

*** Database ***

step               = 300
pings              = 20

#   consfn  mrhb  steps  total
#   ------  ----  -----  -----
AVERAGE      0.5      1   1008
AVERAGE      0.5     12   4320
    MIN      0.5     12   4320
    MAX      0.5     12   4320
AVERAGE      0.5    144    720
    MAX      0.5    144    720
    MIN      0.5    144    720

*** Presentation ***

template           = @l_prefix@/etc/smokeping/smokeping.html

+ overview 
width              = 600
height             = 50
range              = 10h

+ detail
width              = 600
height             = 200
unison_tolerance   = 2

"Last 3 Hours"     3h
"Last 30 Hours"    30h
"Last 10 Days"     10d
"Last 400 Days"    400d

*** Probes ***

+ FPing
binary             = @l_prefix@/sbin/fping

*** Targets ***

probe              = FPing
menu               = Top
title              = Network Latency Grapher
remark             = SmokePing

+ World
menu               = World
title              = Worldwide connectivity
alerts             = bigloss,someloss,startloss

++ example-com
menu               = example.com
title              = example.com web server
host               = www.example.com

++ example-net
menu               = example.net
title              = example.net web server
host               = www.example.net

++ example-org
menu               = example.org
title              = example.org web server
host               = www.example.org

